File Details

Download this file | Go to files list

This version requires that you have v0.45 installed!

The long awaited upate to Rise of Rome is now here. This version is fully compatible with v1.03 of BFME. It also includes some balance tweaks, bug fixes, and a couple new pieces of art. Please consult the included readme file for step-by-step instructions on updating your old version of Rise of Rome.

Download this file | Go to files list